using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Queue.Request
{
    [XmlRoot("Transfer")]
    public class VisitorToGroupQueueRequest : INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public VisitorToGroupQueueVisitor Visitor { get; set; }

        [XmlElement("group")]
        public VisitorToGroupQueueGroup Group { get; set; }
    }

    public class VisitorToGroupQueueVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VisitorToGroupQueueGroup
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
